%global	_pkgname	ptime

Name:		ocaml-%{_pkgname}
Version:	0.4.5
Release:	4%{?dist}
Summary:	A simple OCaml client for Google Services
License:	MIT

%global	forgeurl	https://github.com/astrada/gapi-ocaml
%global	tag		v0.4.5
%forgemeta

%undefine _package_note_flags
%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

URL:		%{forgeurl}
Source:		%{forgesource}

BuildRequires:	ocaml >= 4.03.0
BuildRequires:	ocaml-dune-devel
BuildRequires:	ocaml-findlib-devel
BuildRequires:	ocaml-odoc

BuildRequires:	ocaml-cppo
BuildRequires:	ocaml-cryptokit-devel
BuildRequires:	ocaml-curl-devel
BuildRequires:	ocaml-ounit-devel
BuildRequires:	ocaml-yojson-devel >= 1.6.0
BuildRequires:	ocaml-zarith-devel
BuildRequires:	ocaml-camlp-streams-devel
BuildRequires:	ocaml-ocamlnet-nethttpd-devel

%description
gapi-ocaml is a simple, unofficial, OCaml client for Google Services.
The library supports ClientLogin, OAuth 1.0a, and OAuth 2.0 authentication.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
%description	devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%forgesetup

%build
dune build %{?_smp_mflags} --verbose --profile release
dune build @doc

%install
dune install --destdir=%{buildroot}

# We do not want the dune markers
find _build/default/_doc/_html -name .dune-keep -delete

# We do not want the ml files
find %{buildroot}%{_libdir}/ocaml -name \*.ml -delete

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

%check
dune runtest --profile release

%files
%doc	README.md
%license	LICENSE
%dir %{_libdir}/ocaml/gapi-ocaml/
%{_libdir}/ocaml/gapi-ocaml/META
%{_libdir}/ocaml/gapi-ocaml/*.cma
%{_libdir}/ocaml/gapi-ocaml/*.cmi
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/gapi-ocaml/*.cmxs
%endif

%files	devel
%doc	_build/default/_doc/*
%{_libdir}/ocaml/gapi-ocaml/dune-package
%{_libdir}/ocaml/gapi-ocaml/opam
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/gapi-ocaml/*.a
%{_libdir}/ocaml/gapi-ocaml/*.cmx
%{_libdir}/ocaml/gapi-ocaml/*.cmxa
%endif
%{_libdir}/ocaml/gapi-ocaml/*.cmt
%{_libdir}/ocaml/gapi-ocaml/*.cmti
%{_libdir}/ocaml/gapi-ocaml/*.mli

%changelog
* Sat Jan 18 2025 Jashank Jeremy <fedora@jashankj.space> - 0.4.5-4
- Bump for Fedora 42 mass rebuild.

* Sun Jul 28 2024 Jashank Jeremy <fedora@jashankj.space> - 0.4.5-3
- Bump for Fedora 41 mass rebuild.

* Sun Feb 04 2024 Jashank Jeremy <fedora@jashankj.space> - 0.4.5-2
- Bump for Fedora 40 mass rebuild.

* Sun Dec 24 2023 Jashank Jeremy <fedora@jashankj.space> - 0.4.5-1
- Update to new upstream release 0.4.5.

* Sat Aug 12 2023 Jashank Jeremy <fedora@jashankj.space> - 0.4.4-2
- Bump for Fedora 39 mass rebuild.

* Sat Mar 11 2023 Jashank Jeremy <fedora@jashankj.space> - 0.4.4-1
- Update to new upstream release 0.4.4.

* Wed Jul 27 2022 Jashank Jeremy <fedora@jashankj.space> - 0.4.3.git20220531-1
- Update to upstream git20220531 (and Fedora 37 mass rebuild).

* Fri Jun 24 2022 Jashank Jeremy <fedora@jashankj.space> - 0.4.3.git20220427-2
- Bump to rebuild with OCaml 4.14.0.

* Fri May 06 2022 Jashank Jeremy <fedora@jashankj.space> - 0.4.3.git20220427-1
- Initial RPM release.
